Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.huihoo.jfox.jmx.adaptor.http
Class AbstractCommand

    java.lang.Object
      |
      +--org.huihoo.jfox.jmx.adaptor.http.AbstractCommand

All Implemented Interfaces:
  Command

Direct Known Subclasses:
  AgentCommand, CreateMBeanCommand, UnregisterMBeanCommand, ViewMBeanCommand

public abstract class AbstractCommand
extends java.lang.Object
implements Command

Author:
  Young Yang

Field Summary
`protected VelocityContext` | `ctx`

Constructor Summary
`AbstractCommand()`

Method Summary
`abstract void` | `doGet(HttpRequest request, HttpResponse response)` set the VelocityContext
`void` | `doPost(HttpRequest request, HttpResponse response)`
`VelocityContext` | `execute(HttpRequest request, HttpResponse response)`
`java.lang.String` | `getTemplateName()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ctx

    protected VelocityContext ctx

Constructor Detail

### AbstractCommand

    public AbstractCommand()

Method Detail

### execute

    public VelocityContext execute(HttpRequest request,
                                   HttpResponse response)
                            throws java.lang.Exception

  Specified by:
    `execute` in interface `Command`
    `java.lang.Exception`

### doGet

    public abstract void doGet(HttpRequest request,
                               HttpResponse response)
                        throws java.lang.Exception

  set the VelocityContext

    `java.lang.Exception`

### doPost

    public void doPost(HttpRequest request,
                       HttpResponse response)
                throws java.lang.Exception

    `java.lang.Exception`

### getTemplateName

    public java.lang.String getTemplateName()

  Specified by:
    `getTemplateName` in interface `Command`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD